package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @description: 月审批
 * @author: nh
 * @create: 2021-01-19 16:00
 **/
@Data
@ApiModel(value="ApprovalStatistics", description="月审批情况")
public class ApprovalStatistics implements Serializable {
    private static final long serialVersionUID = -8541322571924444314L;

    /**
     * 已审批条数
     */
    @ApiModelProperty(name = "approvalCount", value = "已审批条数")
    private Integer approvalCount;

    /**
     * 未审批条数
     */
    @ApiModelProperty(name = "notApprovalCount", value = "未审批条数")
    private Integer notApprovalCount;

    /**
     * 驳回未重报
     */
    @ApiModelProperty(name = "rejectNotSubmit", value = "驳回未重报数量")
    private Integer rejectNotSubmit;
}
